Subject: Re: bug#73581: 29.4; Gnus: Error doing a search on nnmaildir with gnus-search-find-grep

From: Daniel Cerqueira <[email-masked]>
Date: Sat, 12 Apr 2025 22:09:58 +0100

Visuwesh <[email-masked]> writes:

> [சனி ஏப்ரல் 12, 2025] Daniel Cerqueira wrote:
>
>> Visuwesh <[email-masked]> writes:
>>>
>>> I modify that exact variable to make nnmaildir use
>>> gnus-search-find-grep.  I forgot to pass the mandatory argument to
>>> forward-whitespace.  Please try the patch below instead,
>>>
>>> diff --git a/lisp/gnus/gnus-search.el b/lisp/gnus/gnus-search.el
>>
>> [...]
>>
>> It is working.  No errors.  But I don't understand what functionality
>> you did add.  Can you document this or, the meantime, tell me?
>
> The above patch should allow grep:"one two" for multiword queries.
>
> With the other patch, you should be able to use find-grep for maildirs.

Ah, thanks.  This is an important feature.

>> [...]
>> Also, not that is with 'list-all-buffers function, the buffer *Buffer
>> List* shows this line:
>>
>>   *  *gnus-search-           4008 Fundamental      ~/Mail/
>>
>> Something is missing in *gnus-search- .  Maybe this is revealing a bug
>> that hasn't quite done damage, yet.
>
> I don't see such a stale buffer on my end.  I don't know what it is
> about.  Does it get created when you kill it?

It does not get created when I kill it.  In fact, if I kill it, I can no
longer do nnmaildir searches: I have to restart GNU Emacs.

To see the buffer in the buffer list, you must do a nnmaildir search and
then eval: (display-buffer (list-buffers-noselect files-only
(buffer-list)))